Flex SDK 4.5 - everything shown in red (IDEA 9.0.4)

I cannot seem to be able to properly set  a Flex module using FlexSDK4.5.0.20967. Everything in my code shows errors (see image below). The code compiles and runs perfectly.
Is there a particular setting that I need to do? If I switch back to an older SDK, the errors are gone and everything is ok.
I am using IDEA  9.0.4 #IU-95.627

Thanks!

screenshot_0894.png

1 comment
Comment actions Permalink

IDEA 9 doesn't support SWF 11 format, so it can't parse Flex SDK 4.5 classes and thus you have incorrect highlighting. You need to upgrade to IDEA 10.5.

0

Please sign in to leave a comment.